/*
 * Copyright (C) 2015 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.import Ubuntu.Content 1.0 as Content

function filtersForContentType(contentType) {
    switch(contentType) {
        case(Content.ContentType.Contacts):
            return ["*.vcard", "*.vcf"];
        case(Content.ContentType.Documents):
            return ["*.323", "*.appcache", "*.asc", "*.bib", "*.boo", "*.brf",
                    "*.c", "*.c++", "*.cc", "*.cls", "*.cpp", "*.csh", "*.css",
                    "*.csv", "*.cxx", "*.d", "*.diff", "*.etx", "*.gcd", "*.h",
                    "*.hh", "*.h++", "*.hpp", "*.hs", "*.htc", "*.htm",
                    "*.html", "*.hxx", "*.ics", "*.icz", "*.jad", "*.java", 
                    "*.lhs", "*.ltx", "*.ly", "*.mml", "*.moc", "*.p", "*.pas",
                    "*.patch", "*.pdf", "*.pl", "*.pm", "*.pot", "*.py",
                    "*.rtx", "*.scala", "*.sct", "*.sfv", "*.sh", "*.shtml",
                    "*.srt", "*.sty", "*.tcl", "*.tex", "*.text", "*.tk",
                    "*.tm", "*.tsv", "*.ttl", "*.txt", "*.uls", "*.vcs",
                    "*.wml", "*.wmls", "*.wsc"];
        case(Content.ContentType.EBooks):
            return ["*.azw", "*.epub", "*.fb2", "*.lit", "*.mobi", "*.tpz"];
        case(Content.ContentType.Music):
            return ["*.aif", "*.aifc", "*.aiff", "*.amr", "*.au", "*.awb",
                    "*.axa", "*.csd", "*.flac", "*.gsm", "*.kar", "*.m3u",
                    "*.m4a", "*.mid", "*.midi", "*.mp2", "*.mp3", "*.mpega",
                    "*.mpga", "*.oga", "*.ogg", "*.opus", "*.orc", "*.pls",
                    "*.ra", "*.ram", "*.rm", "*.sco", "*.sd2", "*.sid",
                    "*.snd", "*.spx", "*.wav", "*.wax", "*.wma"];
        case(Content.ContentType.Pictures):
            return ["*.art", "*.bmp", "*.cdr", "*.cdt", "*.cpt", "*.cr2",
                    "*.crw", "*.djv", "*.djvu", "*.erf", "*.gif", "*.ico",
                    "*.ief", "*.jng", "*.jp2", "*.jpe", "*.jpeg", "*.jpf",
                    "*.jpg", "*.jpg2", "*.jpm", "*.jpx", "*.nef", "*.orf",
                    "*.pat", "*.pbm", "*.pcx", "*.pgm", "*.png", "*.pnm",
                    "*.ppm", "*.psd", "*.ras", "*.rgb", "*.svg", "*.svgz",
                    "*.tif", "*.tiff", "*.wbmp", "*.xbm", "*.xpm", "*.xwd"];
        case(Content.ContentType.Videos):
            return ["*.3gp", "*.asf", "*.asx", "*.avi", "*.axv", "*.dif",
                    "*.dl", "*.dv", "*.fli", "*.flv", "*.gl", "*.lsf", "*.lsx",
                    "*.m4v", "*.mkv", "*.mng", "*.mov", "*.movie", "*.mp4",
                    "*.mpe", "*.mpeg", "*.mpg", "*.mpv", "*.mxu", "*.ogv",
                    "*.qt", "*.ts", "*.webm", "*.wm", "*.wmv", "*.wmx",
                    "*.wvx"];
        default:
            return ["*.*"];
    }
}
